var _excluded = ["portal", "children", "className"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { forwardRef } from 'react';
import { createPortal } from 'react-dom';
var Stencil = forwardRef(function (_ref, ref) {
  var portal = _ref.portal,
      children = _ref.children,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? 'stencil-list' : _ref$className,
      others = _objectWithoutPropertiesLoose(_ref, _excluded);

  var DOM = /*#__PURE__*/React.createElement("div", _extends({
    ref: ref
  }, others, {
    className: "stencil" + (className ? ' ' + className : '')
  }), children);

  if (!portal) {
    return DOM;
  }

  return createPortal(DOM, portal || document.getElementById('root') || document.body);
});
export default Stencil;